Subject: [bug#49383] [PATCH v2 00/26] Addressing comments

From: Domagoj Stolfa <[email-masked]>
Date: Sun, 11 Jul 2021 15:55:32 +0100

Hi:

I've gone through the comments and made sure that every `guix lint` and
`guix build` is happy. I've update what made sense to update for this patch,
however for anything that I could not update (e.g. there are too many packages
depending on it) -- I simply added a new version and inherited from it in other
versions.

For rust-cipher, I added a new package, rust-cipher-0.3 and then moved all the
packages that use rust-cipher-0.2 to use rust-cipher-0.3. I don't know if there
is anything else that depends on rust-cipher-0.2, so I did not remove it.

Any duplicate package with different versions must unfortunately be added in
order for things to build (e.g. [email-masked] and [email-masked]). I've tried
everything, but cargo is generally unhappy about not having a particular
version.

Domagoj Stolfa (26):
  gnu: Add rust-pdqselect-0.1
  gnu: Add rust-postgres-derive-0.4
  gnu: Add rust-rstar-0.9
  gnu: Add rust-geo-types-0.7
  gnu: Add rust-bit-vec-0.6
  gnu: Add rust-cipher-0.3
  gnu: rust-crypto-mac-0.10: Use rust-cipher-0.3.
  gnu: rust-ctr-0.6: Use rust-cipher-0.3.
  gnu: rust-eax-0.3: Use rust-cipher-0.3.
  gnu: rust-win-crypto-ng-0.4: Use rust-cipher-0.3.
  gnu: Add rust-crypto-mac-0.11
  gnu: Add rust-streebog-0.9
  gnu: Add rust-hmac-0.11
  gnu: Add rust-hmac-0.10
  gnu: Add rust-postgres-protocol-0.6
  gnu: Add rust-eui48-0.4
  gnu: Add rust-rstar-0.8
  gnu: Add rust-geo-types-0.6
  gnu: Add rust-postgres-types-0.2
  gnu: Add rust-socket2-0.4
  gnu: Add rust-tokio-postgres-0.7
  gnu: Add rust-postgres-0.19
  gnu: Add rust-statistical-1
  gnu: Add rust-rust-decimal-1
  gnu: Add rust-colored-2
  gnu: Add hyperfine.

 gnu/packages/crates-graphics.scm |  38 +-
 gnu/packages/crates-io.scm       | 701 ++++++++++++++++++++++++++++---
 gnu/packages/rust-apps.scm       |  40 ++
 3 files changed, 713 insertions(+), 66 deletions(-)

-- 
2.32.0